org.jboss.jca.adapters.jdbc

## Class WrappedConnectionRequestInfo

- java.lang.Object
- - org.jboss.jca.adapters.jdbc.WrappedConnectionRequestInfo

- All Implemented Interfaces:
    java.io.Serializable, javax.resource.spi.ConnectionRequestInfo

      public class WrappedConnectionRequestInfo
      extends java.lang.Object
      implements javax.resource.spi.ConnectionRequestInfo, java.io.Serializable

  WrappedConnectionRequestInfo
  Author:
    David Jencks, Adrian Brock
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WrappedConnectionRequestInfo(java.lang.String user, java.lang.String password)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object other)`
    `int` | `hashCode()`
    `java.lang.String` | `toString()` String representation

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WrappedConnectionRequestInfo

          public WrappedConnectionRequestInfo(java.lang.String user,
                                              java.lang.String password)

      Constructor
      Parameters:
        `user` - The user name
        `password` - The password

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `javax.resource.spi.ConnectionRequestInfo`
      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object other)

      Specified by:
        `equals` in interface `javax.resource.spi.ConnectionRequestInfo`
      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      String representation
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        The string

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)